#include <stdio.h>

int main()
{
    int T;
    scanf("%d", &T);
    int niz[T];
    int n,m,k;
    for(int i=0; i<T; i++){
        scanf("%d %d %d", &n, &m, &k);
        if(n*(n/k+1)/2+(n%k)*(n/k+1)<=m){niz[i]=1;}
        else{niz[i]=0;}
    }

    for(int i=0; i<T; i++){
        if(niz[i]==1){printf("Tak\n");}
        else{printf("Nie\n");}
    }

}